> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 id 获取高级 Google 酒店信息结果

> HTML Google Hotel Info 将为您提供 [Google Hotels](http://www. 上特定酒店实体的非结构化 HTML 数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/business_data/google/hotel_info/task_get/html/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/hotel_info/task_get/html/{id}:
    get:
      summary: 按 id 获取高级 Google 酒店信息结果
      description: >-
        HTML Google Hotel Info 将提供 [Google
        Hotels](http://www.google.com/travel/hotels) 平台上特定酒店实体的非结构化 HTML 数据。
      operationId: get_dataforseo_business_data_google_hotel_info_task_get_html_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO 任务 ID。
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *任务标识符* **我们系统中采用
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            格式的唯一任务标识符**；您可以在 **7 天**内随时使用它请求任务结果
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*所有*任务*的总成本（美元）*'
                  version.result_count:
                    type: integer
                    description: '***`tasks`** 数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '***`tasks`** 数组中返回错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      *任务标识符* **我们系统中采用
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式的唯一任务标识符**
                  tasks.status_code:
                    type: integer
                    description: >-
                      由 DataForSEO 生成的*任务状态码*；范围为
                      10000-60000；你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表
                  tasks.status_message:
                    type: string
                    description: >-
                      *任务的提示信息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看通用提示信息的完整列表
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.hotel_identifier:
                    type: string
                    description: >-
                      *在 POST 数组中收到的标识符* 此字段将包含设置任务时指定的 `hotel_identifier`
                      参数；示例：`CgoI-KWyzenM_MV3EAE`
                  result.location_code:
                    type: integer
                    description: '*POST 数组中的位置代码*'
                  result.language_code:
                    type: string
                    description: '*POST 数组中的语言代码*'
                  result.check_url:
                    type: string
                    description: '*搜索引擎结果的直接 URL*，你可以使用它确认我们提供的结果是否准确'
                  result.datetime:
                    type: string
                    description: >-
                      *收到结果的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：`2019-11-15 12:57:46 +00:00`
                  result.items_count:
                    type: integer
                    description: '***`items`** 数组中返回的结果数量*'
                  items:
                    type: array
                    items:
                      type: string
                    description: '*HTML 页面*'
                  items.page:
                    type: integer
                    description: '*返回的 HTML 页面的序列号*'
                  items.date:
                    type: string
                    description: >-
                      *HTML 页面扫描的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：`2019-11-15 12:57:46 +00:00`
                  items.html:
                    type: string
                    description: '*HTML 页面*'
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````